#!/usr/bin/env python
# Copyright (c) 2007-2009 Etienne Robillard <robillard.etienne@gmail.com>
# All rights reserved.
"""Configuration options for the ``notmm.lib.wsgiapp`` package."""

from notmm.utils.template   import TemplateLoader
from django.template        import RequestContext

__all__ = ('defaultLoaderClass', 'defaultRequestClass', 
           'defaultContentType')

# specifies which template loading class to use.
# this class should minimally implement a "get_template"
# method.
defaultLoaderClass = TemplateLoader
# optional middleware to use 
defaultRequestClass = RequestContext 
# specifies a default ContentType for successful responses
defaultContentType = 'text/html; charset=UTF-8'

