#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2007-2009 Etienne Robillard <robillard.etienne@gmail.com>
# All rights reserved.
"""Template loading and rendering utilities on top of Mako"""

from mako.lookup import TemplateLookup

__all__ = ['UnicodeTemplateLoader', 'TemplateLoader']

class UnicodeTemplateLoader(object):
    """Basic ``TemplateLoader`` options (UTF-8 version)"""
    
    default_filters = ['decode.utf8']
    input_encoding = 'utf8'
    output_encoding = input_encoding

class TemplateLoader(TemplateLookup, UnicodeTemplateLoader):
    """A simple ``TemplateLookup`` derived class with builtin UTF-8 support"""

    collection_size = -1

    def __init__(self, directories=[], default_filters=[]):
        TemplateLookup.__init__(self, directories, 
            input_encoding=self.input_encoding,
            output_encoding=self.output_encoding, 
            collection_size=self.collection_size,
            default_filters=self.default_filters)

